Skip to content
Start here

Model Search

GET/accounts/{account_id}/ai/models/search

Searches Workers AI models by name or description.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Workers AI WriteWorkers AI Read
Path ParametersExpand Collapse
account_id: string
Query ParametersExpand Collapse
author: optional string

Filter by Author

hide_experimental: optional boolean

Filter to hide experimental models

page: optional number
per_page: optional number
source: optional number

Filter by Source Id

task: optional string

Filter by Task Name

ReturnsExpand Collapse
errors: array of unknown
messages: array of string
result: array of unknown
success: boolean

Model Search

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/ai/models/search \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {}
  ],
  "messages": [
    "string"
  ],
  "result": [
    {}
  ],
  "success": true
}